Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2ServerILFactory

    java.lang.Object
      org.jboss.mq.il.oil2.OIL2ServerILFactory

All Implemented Interfaces:
  ServerILFactory

public final class OIL2ServerILFactory
extends Object
implements ServerILFactory

Factory class to produce OIL2ServerIL objects.

Version:
  $Revision: $
Author:
  Hiram Chirino

Field Summary
`static String` | `CLIENT_IL_SERVICE`
`static String` | `OIL2_ADDRESS_KEY`
`static String` | `OIL2_PORT_KEY`
`static String` | `OIL2_TCPNODELAY_KEY`
`static String` | `SERVER_IL_FACTORY`

Fields inherited from interface org.jboss.mq.il.ServerILFactory
`CLIENT_IL_SERVICE_KEY, CLIENTID, PING_PERIOD_KEY, SERVER_IL_FACTORY_KEY`

Constructor Summary
`OIL2ServerILFactory()`

Method Summary
`ServerIL` | `getServerIL()`
`void` | `init(Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_IL_FACTORY

    public static final String SERVER_IL_FACTORY

### CLIENT_IL_SERVICE

    public static final String CLIENT_IL_SERVICE

### OIL2_ADDRESS_KEY

    public static final String OIL2_ADDRESS_KEY

See Also:
  Constant Field Values

### OIL2_PORT_KEY

    public static final String OIL2_PORT_KEY

See Also:
  Constant Field Values

### OIL2_TCPNODELAY_KEY

    public static final String OIL2_TCPNODELAY_KEY

See Also:
  Constant Field Values

Constructor Detail

### OIL2ServerILFactory

    public OIL2ServerILFactory()

Method Detail

### init

    public void init(Properties props)
              throws Exception

  Specified by:
    `init` in interface `ServerILFactory`
  Throws:
    `Exception`
  See Also:
    `ServerILFactory.init(Properties)`

### getServerIL

    public ServerIL getServerIL()
                         throws Exception

  Specified by:
    `getServerIL` in interface `ServerILFactory`
  Throws:
    `Exception`
  See Also:
    `ServerILFactory.getServerIL()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.